--- title: "Delete Malware Policy" slug: "delete-malware-policy-2" tags: ["IPS 11.1.x", "Reference"] updated: 2026-11-19T12:56:58Z published: 2026-11-19T12:56:58Z canonical: "docs.trellix.com/delete-malware-policy-2" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.trellix.com/llms.txt > Use this file to discover all available pages before exploring further. # Delete Malware Policy This URL deletes the specified malware policy **Resource URL** DELETE /malwarepolicy/ **Request Parameters** URL Parameters: | Field Name | Description | Data Type | Mandatory | | --- | --- | --- | --- | | `policy_id` | Policy id | Number | Yes | **Response Parameters** Following fields are returned if the request parameters are correct, otherwise error details are returned. | Field Name | Description | Data Type | | --- | --- | --- | | `status` | Status returned by deletion | Number | **Example** **Request** DELETE [https:///sdkapi/malwarepolicy/301](https://<NSM_IP>/sdkapi/malwarepolicy/301) **Response** ``` { "status":1 } ``` **Error Information** Following error codes are returned by this URL: | S.No | HTTP Error Code | SDK API errorId | **SDK API errorMessage** | | --- | --- | --- | --- | | 1 | 404 | 2501 | Invalid advanced malware policy id/ policy not visible to this domain | | 2 | 400 | 2503 | Assigned malware policy cannot be deleted |